using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public abstract class TutorialPanel : MonoBehaviour
{
    public Text pressAnyKey;

    protected virtual void OnEnable()
    {
        SetAlpha(pressAnyKey, 0);
    }
    
    public void ShowPressAnyKey()
    {
        SetAlpha(pressAnyKey, 1);
    }

    protected void SetAlpha(Graphic g, float alpha)
    {
        g.color = new Color(g.color.r, g.color.g, g.color.b, alpha);
    }

    public abstract void Dismiss();
}
